Package org.apache.tiles.el

# Class ELContextImpl

java.lang.Object
jakarta.el.ELContext
org.apache.tiles.el.ELContextImpl

public class ELContextImpl extends jakarta.el.ELContext
Implementation of ELContext.
Copied from Apache Tomcat 6.0.16 source code.

Since:
  2.2.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELContextImpl(jakarta.el.ELResolver resolver)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.el.ELResolver`
  `getELResolver()`
  `jakarta.el.FunctionMapper`
  `getFunctionMapper()`
  `jakarta.el.VariableMapper`
  `getVariableMapper()`
  `void`
  `setFunctionMapper(jakarta.el.FunctionMapper functionMapper)`
  Sets the function mapper to use.
  `void`
  `setVariableMapper(jakarta.el.VariableMapper variableMapper)`
  Sets the variable mapper to use.

  ### Methods inherited from class jakarta.el.ELContext

  `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getContext, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, putContext, setLocale, setPropertyResolved, setPropertyResolved`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ELContextImpl

    public ELContextImpl(jakarta.el.ELResolver resolver)
    Constructor.
    Parameters:
      `resolver` - The resolver to use.

- ## Method Details

  - ### getELResolver

    public jakarta.el.ELResolver getELResolver()
    Specified by:
      `getELResolver` in class `jakarta.el.ELContext`

  - ### getFunctionMapper

    public jakarta.el.FunctionMapper getFunctionMapper()
    Specified by:
      `getFunctionMapper` in class `jakarta.el.ELContext`

  - ### getVariableMapper

    public jakarta.el.VariableMapper getVariableMapper()
    Specified by:
      `getVariableMapper` in class `jakarta.el.ELContext`

  - ### setFunctionMapper

    public void setFunctionMapper(jakarta.el.FunctionMapper functionMapper)
    Sets the function mapper to use.
    Parameters:
      `functionMapper` - The function mapper.
    Since:
      2.2.1

  - ### setVariableMapper

    public void setVariableMapper(jakarta.el.VariableMapper variableMapper)
    Sets the variable mapper to use.
    Parameters:
      `variableMapper` - The variable mapper.
    Since:
      2.2.1